Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim m As Integer, n As Integer
        Dim i As Integer
        n = 1
        For i = 7 To 1 Step -1       'i是循环变量，代表第i天
            m = (n + 1) * 2            '迭代公式
            n = m
        Next
        Debug.Print(m)
    End Sub
End Class
